Модуль Яндекс карт для CMS Joomla4

На сегодня Яндекс предоставляет большие возможности для разработчиков. API Яндекс.Карт — это программный интерфейс, с помощью которого вы можете установить карту и весь необходимый для работы с ней инструментарий к себе на сайт.

Наш модуль, позволяет легко внедрить на сайт одну и более яндекс карт, нанести множество точек и подписать их. Модуль подходит как для контактов, так и для обозначения филиалов компании, пунктов выдачи и так далее.

Для корректного отображения карты необходимо получить Ключ API от Яндекса в разделе API интерфейсы. Подробнее написано в настройках модуля. Наша студия разработала модуль для Joomla 4, на основе старого модуля для Joomla3.

Модуль для Joomla 3 тут

logo-joomla4

Скачать mod_maps2022.zip657

  • Отложенная загрузка карты
  • Выбор показа пробок (API 2.1)
  • Выбор списка типов карты
  • Установка ширины и высоты карты
  • Установка новых точек и их описания
  • Замена стандартной метки на любой другой

Пример работы модуля mod_maps2022.zip, cms Joomla4, последней версии

Loading...
Комментарии
Войти
Отправить
Евгений | 04.12.2023 18:56
Целый ворох нотисов.
по-хорошему, их нужно поправить, чтобы код был чистым, а не понижать уровень показа ошибок.
Notice: Trying to get property 'apikey' of non-object in
Notice: Trying to get property 'centermap' of non-object in
и далее целая куча.
Joomla 4.4.1
Денис | 16.08.2023 16:11
В Админке тоже 2 ошибки
Warning: Undefined property: stdClass::$spb_class in /var/www/u1812715/data/www/xn--b1amagbqmqr2f.xn--c1awaainm.xn--p1ai/modules/mod_maps2021/libs/elements/yandexmap.php on line 225
Warning: Undefined variable $Key_ok in /var/www/u1812715/data/www/xn--b1amagbqmqr2f.xn--c1awaainm.xn--p1ai/modules/mod_maps2021/libs/elements/yandexmap.php on line 293
Денис | 16.08.2023 16:09
При вставке на сайт joomla 4 пишет ошибки
Warning: Undefined variable $getElementById in /var/www/u1812715/data/www/xn--b1amagbqmqr2f.xn--c1awaainm.xn--p1ai/modules/mod_maps2021/mod_maps2021.php on line 33
Warning: Undefined property: stdClass::$spb_class in /var/www/u1812715/data/www/xn--b1amagbqmqr2f.xn--c1awaainm.xn--p1ai/modules/mod_maps2021/mod_maps2021.php on line 61
Warning: Undefined variable $loader in /var/www/u1812715/data/www/xn--b1amagbqmqr2f.xn--c1awaainm.xn--p1ai/modules/mod_maps2021/mod_maps2021.php on line 77
PS домен 2-го уровня и сертификатов нет
Как испроавить?
Александр | 06.08.2023 21:32
Установил на Joomla 4.3.3, модуль работает, но не отображаются иконки меток, если тыкнуть где дложна быть метка, то появляется сообщение. Пробовал на PHP 8.0-8.2
Игорь | 21.04.2023 03:23
Спасибо за модуль! Ждём с нетерпением PHP 8. Сделайте возможность донатить вам.
Олег | 17.04.2023 13:06
Я пользуюсь вашим модулем на своем сайте. Когда вы планируете перевести код модуля для php 8.0+? На текущий момент модуль поддерживает команды только php 7.4. и на 8й версии выдает ошибки в основном php файле модуля.
закрыть

Оформите заявку, при желании приложите файл с техническим заданием в свободной форме.

Отправить
Спасибо за ваше сообщение!

Мы скоро с вами свяжемся по тем контактным данным, которые вы указали.